import path from 'path'
import Bluebird from 'bluebird'
import parse from './parse'

/**
 * Galvanize several files.
 * @param {String[]} files - the files to iterate on
 * @param {Object=} options - the options
 * @return {Bluebird} - resolved with an array of results
 */
export function fromFiles(files, options = {}) {
  return Bluebird.map(files, function mapFile(file) {
    return fromFile(file, options)
  })
}

/**
 * Galvanize a single file.
 */
export function fromFile(file, options = {}) {
  const filepath = path.resolve(process.cwd(), file)
  const representation = parse(filepath, options)
}

/**
 * @param {Object} result - the result to format
 * @return {String} - the formatted result
 */
export function format(result) {
  return JSON.stringify(result)
}
