import { readFile } from 'fs'
import Bluebird from 'bluebird'

export default function parse(filepath, options = {}) {
  return read(filepath)
    .then(extractPlaceholders)
}

function read(filepath) {
  return new Bluebird(function promise(resolve, reject) {
    return readFile(filepath, { encoding: 'utf8', flag: 'r' }, function onRead(error, data) {
      if (error) {
        return reject(error)
      }
      return resolve(data.toString())
    })
  })
}

function extractPlaceholders(data) {
  console.log(data)
}
